<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePermissions extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('permissions')
			->addColumn('type', 'integer', ['length' => 1, 'null' => false, 'signed' => false])
			->addColumn('ext_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('action_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('status', 'integer', ['length' => 1, 'default' => 1, 'null' => false, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
